petsc-3.4.2 2013-07-02

# KSPChebyshevSetEigenvalues

Sets estimates for the extreme eigenvalues of the preconditioned problem.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPChebyshevSetEigenvalues(KSP ksp,PetscReal emax,PetscReal emin)

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| emax, emin | - the eigenvalue estimates

### Options Database

-ksp_chebyshev_eigenvalues emin,emax - Note: If you run with the Krylov method of KSPCG with the option -ksp_monitor_singular_value it will for that given matrix and preconditioner an estimate of the extreme eigenvalues.

### Keywords

KSP, Chebyshev, set, eigenvalues

Level:intermediate
Location:src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages